python-distutils-extra (2.45) unstable; urgency=medium

  [ Michał Górny ]
  * Run unittest.main() only when running script directly.
  * test: Find .egg-info file rather than guessing path (wrong)
    This fixes the test failure due to looking for wrong .egg-info filename,
    in the top directory rather than site-packages.
  * Fix install_auto command with --skip-build
    python-distutils-extra seems to rely on a very bad practice of modifying
    internal state (file lists) in middle of `build` commands.  As a result,
    if the package is installed via `build` command followed by `install
    --skip-build` (since everything was built already!), most of the files
    are not installed.
  * Unset environment variables that break tests

 -- Martin Pitt <mpitt@debian.org>  Sun, 21 Jun 2020 21:37:06 +0200

python-distutils-extra (2.44) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Fix day-of-week for changelog entry 0.90.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #937703, #939102

 -- Sandro Tosi <morph@debian.org>  Fri, 27 Mar 2020 10:04:30 -0400

python-distutils-extra (2.43) unstable; urgency=medium

  [ Louis-Philippe Véronneau ]
  * Fix very minor typo.

  [ Martin Pitt ]
  * Move packaging VCS to python-team repository.
    Update Vcs-* tags accordingly. (Closes: #946076)
  * Bump Standards-Version to 4.4.1.
    No changes necessary.

 -- Martin Pitt <mpitt@debian.org>  Sun, 15 Dec 2019 21:12:03 +0000

python-distutils-extra (2.42) unstable; urgency=medium

  [ Ondřej Nový ]
  * Remove debian/pycompat, it's not used by any modern Python helper

  [ Helmut Grohne ]
  * Mark all packages Multi-Arch: foreign (Closes: #912859)

  [ Matthias Klose ]
  * python3-distutils-extra: Depend on python3-distutils (Closes: #894897)

  [ Martin Pitt ]
  * Bump Standards-Version to 4.3.0.  No changes necessary.
  * test/auto.py: Use modern assertions
  * Adjust dependency calculation for Python 3.7.
    For builtin modules, their __file__ attribute is now None instead of
    absent.
    Make the `test/auto.py T.test_apport_hook` stricter and fail more
    usefully. (Closes: #909992)
  * Fix pyflakes3 errors and check it during build
  * Add autopkgtest.
    This re-uses the upstream tests, but runs them against the
    system-installed module.
  * Add missing python-pkg-resources dependency.
    Spotted by autopkgtest.
  * python-mkdebian: Fix output of tab instead of spaces (Closes: #862182)

 -- Martin Pitt <mpitt@debian.org>  Sun, 20 Jan 2019 11:18:36 +0000

python-distutils-extra (2.41) unstable; urgency=medium

  * Update Vcs-* for the move to salsa.debian.org
  * Bump debhelper compat level to 10
  * debian/copyright: Use https:// format URL
  * Bump Standards-Version to 4.1.3

 -- Martin Pitt <mpitt@debian.org>  Sun, 25 Mar 2018 21:22:32 +0200

python-distutils-extra (2.40) unstable; urgency=medium

  * Move package from bzr to git. Adjust Vcs-* accordingly.
  * Convert to native package, there is no realistic separate upstream for it.
  * Set Maintainer: to Debian Python Modules Team. Keep Sebastian and me as
    uploaders.
  * Remove trailing whitespace.
  * Remove obsolete DistUtilsPlus/ from source (was never shipped).
  * Bump dh compat level to 9.
  * Bump Standards-Version to 3.9.8.

 -- Martin Pitt <mpitt@debian.org>  Thu, 13 Oct 2016 15:48:04 +0200

python-distutils-extra (2.39-1) unstable; urgency=medium

  * test/auto.py: Show exactly which modules are missing. Thanks Daniel Macks!
    (LP: #1303550)
  * Ignore comment in second line when parsing *.ui files. Thanks marmuta!
    (LP: #1393247)
  * Drop obsolete X-Python-Version.
  * Convert build systemd to pybuild.
  * Bump Standards-Version to 3.9.6.
  * debian/copyright: Rename field to "Format:".

 -- Martin Pitt <mpitt@debian.org>  Wed, 03 Feb 2016 09:56:55 +0100

python-distutils-extra (2.38-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * build_help.py: Use yelp-tools style help installation.
    - Help is installed to /usr/share/help/ instead of /usr/share/gnome/help/
    - Delete your .omf files since they are ignored
    - Rename your main docbook help to index.docbook instead of foo.xml
    - Link to help:foo/bar instead of ghelp:foo?bar

  [ Martin Pitt ]
  * debian/copyright: Fix duplicate Copyright: field.
  * Bump Standards-Version to 3.9.4.

 -- Martin Pitt <mpitt@debian.org>  Mon, 22 Jul 2013 17:46:42 +0200

python-distutils-extra (2.37-1) unstable; urgency=low

  [ Martin Pitt ]
  * auto.py: Recognize manpages which have comments before the initial .TH
    comment. Thanks to Dominique Lasserre for the initial patch!
    (LP: #893337)

  [ Andrew Starr-Bochicchio ]
  * debian/local/python-mkdebian: Handle Glade .ui files correctly when
    generating the copyright file. Also ignore backup files.
    (LP: #1025491)

 -- Martin Pitt <mpitt@debian.org>  Mon, 17 Sep 2012 12:47:44 +0200

python-distutils-extra (2.36-1) unstable; urgency=low

  * debian/rules: Run tests against all supported python 2 and 3 versions.
    This catches bugs with Python 2.6. (Closes: #684967)
  * debian/rules: Skip tests if $DEB_BUILD_OPTIONS contains "nocheck".
    (Closes: #684966)
  * debian/rules: Run tests under LC_ALL=C, to fix FTBFS in cases where
    LC_CTYPE is set explicitly. Thanks Gregor Hermann!
  * auto.py: Use python 2.6 friendly sys.version_info test. Thanks Salvatore
    Bonaccorso and Gregor Hermann! (First half of #682631)
  * auto.py: Do not call decode() with an "errors" keyword, as this does not
    yet work with Python 2.6. Thanks Gregor Hermann! (Closes: #682631)

 -- Martin Pitt <mpitt@debian.org>  Wed, 15 Aug 2012 11:20:58 +0200

python-distutils-extra (2.35-1) unstable; urgency=low

  * auto.py: Fix printing of unrecognized non-ASCII file names under ASCII
    locales. (LP: #1025031)
  * auto.py: Fix detection of extensionless Python scripts with non-ASCII
    characters in the first few lines. (LP: #1025022)

 -- Martin Pitt <mpitt@debian.org>  Fri, 03 Aug 2012 13:56:14 +0200

python-distutils-extra (2.34-1) unstable; urgency=low

  [ Martin Pitt ]
  * debian/rules: Run Python3 tests under C locale, to expose more unicode
    errors.
  * auto.py: Fix *.ui detection to be robust for non-ASCII files.
    (LP: #1017468)

  [ Didier Roche ]
  * auto.py: Fix a regression with python2 if files have some utf-8 directives
    (LP: #1021969)

 -- Martin Pitt <mpitt@debian.org>  Mon, 09 Jul 2012 11:12:38 +0200

python-distutils-extra (2.33-1) unstable; urgency=low

  * auto.py: Fix crash when encountering binary files with Python 3.
    (LP: #995653)
  * auto.py: Fix crash when encountering an UTF-8 Python source code file.

 -- Martin Pitt <mpitt@debian.org>  Mon, 11 Jun 2012 18:14:28 +0200

python-distutils-extra (2.32-5) unstable; urgency=low

  [ Andrew Starr-Bochicchio ]
  * debian/local/python-mkdebian cleanups: (LP: #706051)
    - Don't use {XS, XB}-Python-Version.
    - Generate an up to date Standards-Version.
    - Generate build dep on debhelper (>= 8) as debian/compat is set to '8'
      and debhelper overrides are used.
    - No need to generate a build dep on cdbs.

  [ Martin Pitt ]
  * debian/local/python-mkdebian: For projects using --prefix, install
    binaries into a .../bin/ subdirectory instead of into the main project
    directory. This avoids potential name collisions with local Python
    modules. Thanks to Michael Terry for the patch!

 -- Martin Pitt <mpitt@debian.org>  Fri, 25 May 2012 06:53:25 +0200

python-distutils-extra (2.32-4) unstable; urgency=low

  * debian/local/python-mkdebian: Create copyright format 1.0 compatible
    copyright files. Thanks Andrew Starr-Bochicchio! (LP: #1002379)
  * debian/copyright: Update to copyright 1.0 format.
  * debian/control: Bump Standards-Version to 3.9.3.

 -- Martin Pitt <mpitt@debian.org>  Wed, 23 May 2012 17:13:50 +0200

python-distutils-extra (2.32-3) unstable; urgency=low

  * python-mkdebian: Fix wrong kde4 ui file detection regular expression.
    Thanks Angelo Compagnucci! (LP: #1002076)

 -- Martin Pitt <mpitt@debian.org>  Mon, 21 May 2012 07:56:37 +0200

python-distutils-extra (2.32-2) unstable; urgency=low

  [ Michael Terry ]
  * python-mkdebian: If installing into a prefix, also install data there

 -- Martin Pitt <mpitt@debian.org>  Wed, 07 Mar 2012 07:15:56 +0100

python-distutils-extra (2.32-1) unstable; urgency=low

  * auto.py: Add support for installing GSettings schema files
    (*.gsettings.xml). Thanks to Frederik Elwert! (LP: #936546)

 -- Martin Pitt <mpitt@debian.org>  Fri, 02 Mar 2012 17:52:08 +0100

python-distutils-extra (2.31-3) unstable; urgency=low

  [ Michael Vogt ]
  * python-mkdebian: Update to use dh_python2, dh7 and a more current DEP-5
    format.

  [ Martin Pitt ]
  * python-mkdebian: In above dh7 conversion, use the "translations" module if
    available (for Ubuntu's dh-translations).

 -- Martin Pitt <mpitt@debian.org>  Tue, 03 Jan 2012 17:09:28 +0100

python-distutils-extra (2.31-2) unstable; urgency=low

  * debian/control: Move from python{,3}-gobject to -gi.

 -- Martin Pitt <mpitt@debian.org>  Mon, 05 Dec 2011 17:57:37 +0100

python-distutils-extra (2.31-1) unstable; urgency=low

  * auto.py: Also catch ValueError and RuntimeError on relative imports.
    Thanks Mike Terry for the patch! Add corresponding test case to
    test/auto.py.
  * auto.py: Fix crash in module dependency generator, uncovered by previously
    added test case.
  * debian/local/python-mkdebian: Ignore -dbg packages when calculating
    dependencies, to avoid finding multiple matches.
  * debian/local/python-mkdebian: Ignore RuntimeErrors from module imports
    when calculating dependencies, to fix a crash when trying to import
    gi.repository.Gtk without a $DISPLAY.

 -- Martin Pitt <mpitt@debian.org>  Tue, 08 Nov 2011 16:52:14 +0100

python-distutils-extra (2.30-2) unstable; urgency=low

  * debian/control: Add python-gobject and python3-gobject build dependencies,
    for the test suite to succeed on the buildds.

 -- Martin Pitt <mpitt@debian.org>  Tue, 25 Oct 2011 08:27:17 +0200

python-distutils-extra (2.30-1) unstable; urgency=low

  * auto.py, debian/local/python-mkdebian: Properly support
    GI repository module detection. Thanks to Owais Lone for the patch!
    (LP: #806533)
  * test/auto.py: Add GI test case. Add gir1.2-glib-2.0 build dependency for
    the test case.
  * debian/local/python-mkdebian: Call dh_icons. (LP: #881021)

 -- Martin Pitt <mpitt@debian.org>  Tue, 25 Oct 2011 08:00:38 +0200

python-distutils-extra (2.29-1) unstable; urgency=low

  [ Martin Pitt ]
  * Drop support for the long-obsolete PolicyKit (pre polkit 1.0 API).

  [ Rodney Dawes ]
  * auto.py: Ignore RuntimeError, which Gdk/Gtk throw if DISPLAY is unset.
    (LP: #735408)

 -- Martin Pitt <mpitt@debian.org>  Mon, 22 Aug 2011 07:02:19 +0200

python-distutils-extra (2.28-1) unstable; urgency=medium

  * Urgency medium as this fixes a nasty regression from 2.27 which causes
    some packages to FTBFS.
  * debian/local/python-mkdebian{,.1}: Change --force-control from a binary to
    a ternary option with modes "none" (don't touch it at all), "deps" (only
    update dependencies; old and new default behaviour), and "full" (always
    regenerate it). Update the manpage accordingly. Thanks to Jordan Mantha
    for the patch!
  * test/auto.py: Add test for a local module which raises an exception
    (replicates the current xdiagnose FTBFS), and a local module which runs
    optparse on import (replicates the current onboard bzr head FTBFS).
  * auto.py, __external_mod(): Put back the early decision for locally
    provided modules based on their name, without importing them. Running
    __import__ is dangerous in some cases like the above two, but
    unfortunately necessary to fully determine relative imports. This is still
    not quite perfect, as it will fail the same way if externally provided
    modules do dangerous things on mere imports, but at least fixes the
    regression from r248 (release 2.27). (See LP #746565)

 -- Martin Pitt <mpitt@debian.org>  Thu, 16 Jun 2011 13:39:30 +0200

python-distutils-extra (2.27-1) unstable; urgency=low

  * auto.py: Cleaner approach to determine whether a module is locally
    provided. This now catches all relative imports. (LP: #746565)
  * Fix installation of symlinks in data/ dir (LP: #770566):
    - test/auto.py: Add test for installing a symlink which points to a
      nonexisting target directory/file. This reproduces the gist of the
      problem.
    - test/auto.py: Preserve symlinks in copytree() calls, so that we can
      actually verify that symlinks are preserved properly.
    - test/auto.py: Drop requirement that diff throws no error messages, as it
      will complain about the broken symlink.
    - DistUtilsExtra/auto.py, install_auto: Use os.walk() instead of
      distutils.filelist.findall() to pick out symlinks, as the latter fails
      badly with broken symlinks.
    - DistUtilsExtra/command/build_icons.py: Ignore symbolic links. distutils
      breaks on them when they point to a nonexisting target, and we handle
      them in auto.py.
  * DistUtilsExtra/auto.py: Put back "except .. as" syntax, now that we
    dropped Python 2.5. Drop 2to3 from debian/rules for good now.
  * debian/control: Bump minimal Python version to >= 2.6.

 -- Martin Pitt <mpitt@debian.org>  Sat, 21 May 2011 13:17:57 +0200

python-distutils-extra (2.26-2) unstable; urgency=low

  [ Manuel de la Pena ]
  * DistUtilsExtra/auto.py: Fix ValueError crash when scanning the
    ctypes.wintypes import. (LP: #735698)

 -- Martin Pitt <mpitt@debian.org>  Wed, 16 Mar 2011 15:56:20 +0100

python-distutils-extra (2.26-1) unstable; urgency=low

  [ Michael Terry ]
  * build_help.py: Support mallard help files too. (LP: #729451)

  [ Martin Pitt ]
  * auto.py: Revert to "except SyntaxError, e" syntax, as Python 2.5 (which we
    still support in current sid) does not yet get along with the new "as"
    syntax. (Closes: #615177)
  * debian/rules: Reintroduce 2to3 call, as we now need to convert above
    except clause back to "as" for the Python 3.

 -- Martin Pitt <mpitt@debian.org>  Tue, 15 Mar 2011 11:55:06 +0100

python-distutils-extra (2.25-1) unstable; urgency=low

  * Port code to be fully Python 3 compatible; apply some small tricks to
    still work with Python 2 as well.
  * debian/rules: Drop 2to3 call, unnecessary now.
  * test/auto.py: Properly close read files to fix ResourceWarnings under
    Python 3.
  * test/auto.py: Ignore "pipe2 set errno ENOSYS; falling back to non-atomic
    pipe+fcntl" warning which happens when building on the Ubuntu buildds (see
    LP #718784). These cause unexpected stderr output and break the tests.

 -- Martin Pitt <mpitt@debian.org>  Tue, 15 Feb 2011 12:41:49 +0100

python-distutils-extra (2.24-1) unstable; urgency=low

  * auto.py: Fix the string comparison to not install *.notifyrc.in files
    twice. Thanks Éric Araujo for spotting this!
  * DistUtilsExtra/auto.py, __provides(): Do not accidentally clobber
    "py_modules" with "packages", by using a proper copy of the list. Remove
    error filter workaround from test/auto.py.
  * Rename "check" command to "pylint", to avoid clobbering distutils' own
    check command in 2.7/3.x. (LP: #714655)
  * DistUtilsExtra/auto.py, DistUtilsExtra/command/__init__.py: Actually
    expose the pylint command as a setup.py command.
  * Remove pykdeuic4 integration, it's been a continuous source of build
    failures and bugs. Using uic.loadUi() is much more robust.
    Instead, install Qt *.ui files into /usr/share/projectname/ just like the
    GtkBuilder *.ui files.
  * debian/compat, debian/control: Bump to dh 7 compatibility, as we are using
    dh_auto_* magic.

 -- Martin Pitt <mpitt@debian.org>  Fri, 11 Feb 2011 10:39:50 +0100

python-distutils-extra (2.23-1) unstable; urgency=low

  [ Didier Roche ]
  * debian/local/python-mkdebian: (LP: #625581)
    - add --force-rules to force the rules file to be recreated
    - add --prefix to force a prefix other than /usr for installing your python
      modules
  * debian/local/python-mkdebian.1:
    - add man for --force-copyright
    - add man for --force-rules and --prefix

 -- Martin Pitt <mpitt@debian.org>  Thu, 18 Nov 2010 11:39:08 +0100

python-distutils-extra (2.22-4) unstable; urgency=low

  [ Barry Warsaw ]
  * When the environment has $PYTHONPATH in it, we still need to prepend
    oldcwd in test/auto.py, so that the DistUtilsExtra package can be
    found.  (LP: #670188)

 -- Martin Pitt <mpitt@debian.org>  Thu, 04 Nov 2010 14:33:04 -0400

python-distutils-extra (2.22-3) unstable; urgency=low

  [ Martin Pitt ]
  * auto.py: Skip setup.py when calculating automatic requires, since
    modules from that script are just build dependencies. Thanks Michael
    Terry! (LP: #643655)
  * python-mkdebian: Update python-mkdebian's generated copyright fields with
    latest names/values from http://dep.debian.net/deps/dep5/. Thanks Michael
    Terry!
  * Rebuild against Python 2.7 in Ubuntu. (LP: #670188)

  [ Didier Roche ]
  * Return an error when can't update changelog (LP: #656950)
  * Add --force-copyright to force copyright file to be recreated
    (LP: #656943)

 -- Martin Pitt <mpitt@debian.org>  Wed, 03 Nov 2010 22:37:27 -0400

python-distutils-extra (2.22-2) unstable; urgency=low

  * Upload to unstable, now that the current python3 is in unstable.
  * Add debian/watch.
  * Add bzr-builddeb configuration (merge mode).
  * debian/copyright: Add missing Canonical copyright (Closes: #597548).
    While we are at it, also convert the file to DEP-5, and fix the
    common-licenses link to point to the versioned GPL.
  * DistUtilsExtra/command/check.py: Remove explicit GPL-3 license header, so
    that the file falls under the package's general GPL-2+ license. Rodney
    Dawes, the author, gave his explicit permission for this in #597548 (in
    fact, GPL-3 was unintended in the first place).
  * test/auto.py: Ignore python warning about import from local path.

 -- Martin Pitt <mpitt@debian.org>  Thu, 23 Sep 2010 16:00:58 +0200

python-distutils-extra (2.22-1) experimental; urgency=low

  [ Matthias Klose ]
  * setup.py: Drop import of "commands"; unused, and does not exist in
    python3.
  * Build a python3 package.

  [ Martin Pitt ]
  * DistUtilsExtra/command/build_extra.py: Use "in" operator instead of
    has_key(). It's more elegant and Python 3 compatible.
  * test/auto.py: Use Python3 compatible octal constant.
  * test/auto.py: Decode stdout/stderr result from subprocess from bytes to
    str, to work with Python3.
  * test/auto.py: Use whichever Python interpreter we got invoked with (using
    /proc/self/exe) instead of hardcoding "python". With that we can run the
    tests through python3 as well.
  * DistUtilsExtra/auto.py: Port from deprecated "compiler" module to current
    "ast" module.
  * test/auto.py: Only set PYTHONPATH if it isn't set already, so that we can
    override it from outside.
  * test/auto.py: Do not require that "setup.py clean -a" doesn't print
    anything to stderr; with Python 3.1 it now sends out warnings about
    nonexisting directories.
  * test/auto.py: Changed print statements to work with both Python 2 and 3.
  * DistUtilsExtra/command/build_extra.py: Drop unnecessary hashbang line.
  * test/auto.py: Filter out bogus errors about missing files which current
    Python 3 distutils spews out.
  * debian/rules: Run tests with python3 as well, against the installed
    modules in debian/python3-distutils-extra.
  * test/auto.py, debian/control: Use python{,3}-{pkg-resources,httplib2} as
    external test modules instead of -xdg and -dateutil, since the latter are
    not available for Python 3 yet.
  * debain/source/format: Switch to 3.0 (quilt), since we produce upstream
    tarballs and releases.

 -- Martin Pitt <mpitt@debian.org>  Thu, 16 Sep 2010 20:25:24 +0200

python-distutils-extra (2.21) unstable; urgency=low

  [ Umang Varma ]
  * python-mkdebian: Fix duplicate dependency substitutions. (LP: #608304)
  * python-mkdebian: Add --distribution switch for the changelog. If not
    specified, python-mkdebian will detect the distribution as before.
    (LP: #608589)
  * python-mkdebian: Add --no-changelog flag. (LP: #587538)

  [ Martin Pitt ]
  * debian/control: Bump Standards-Version to 3.9.1, no changes necessary.

 -- Martin Pitt <mpitt@debian.org>  Tue, 14 Sep 2010 11:51:37 +0200

python-distutils-extra (2.20) unstable; urgency=low

  [ Didier Roche ]
  * build_i18n.py: add support for LINGUAS (Siegfried Gevatter) (LP: #510957)

  [ Martin Pitt ]
  * debian/local/python-mkdebian: Make langpack.mk include optional, as it
    only exists in Ubuntu, not Debian. (Closes: #589802)
  * debian/local/python-mkdebian: If we are on Debian, set upload target to
    "unstable". (Closes: #589794)

 -- Martin Pitt <mpitt@debian.org>  Wed, 21 Jul 2010 10:46:18 +0200

python-distutils-extra (2.19) unstable; urgency=low

  * auto.py: Also recognize Qt .ui files if they start with an "<?xml..."
    first line. (LP: #543707)
  * test/auto.py: Check that automatic translation extraction also works for
    extensionless files and single quotation marks. (Side discussion in
    LP #533565)
  * test/auto.py: Check that scripts explicitly mentioned in "data_files" and
    "scripts" are covered by the automatic POTFILES.in generation. This
    reproduces LP #533565.
  * auto.py: Include scripts in setup.py's data_files into potential
    POTFILES.in candidates. (LP: #533565)
  * debian/control: Swap maintainer (me) and uploaders (Sebastian), since I'm
    the de-facto maintainer now.
  * debian/control: Replace python-all-dev build dependency with python-all,
    which is enough. Also wrap build dependencies.
  * Add debian/source/format: 3.0 (native).
  * setup.py: Grab version from DistUtilsExtra/auto.py instead of duplicating
    and hardcoding it.
  * python_mkdebian: Add --version option.
  * Move primary __version__ definition to DistUtilsExtra/__init__.py, where
    it makes more sense than just in the auto module.
  * Add debian/local/python-mkdebian.1. (Closes: #546266)
  * Add debian/python-distutils-extra.manpages to install the new manpage.

 -- Martin Pitt <mpitt@debian.org>  Sun, 09 May 2010 11:19:47 +0200

python-distutils-extra (2.18) unstable; urgency=low

  * python-mkdebian: Switch stdout to line buffering, for scripts reading our
    output on the fly.
  * auto.py: Ignore debian/ to avoid a lot of useless "does not recognize
    file" warnings. (LP: #519927)
  * Bump Standards-Version to 3.8.4 (no changes necessary).
  * test/auto.py: Use python-xdg instead of python-crypto for the "automatic
    requires" test, since -crypto uses obsolete libraries (sha in Python 2.6)
    which cause extra warnings. (Closes: #571506)

 -- Martin Pitt <mpitt@debian.org>  Wed, 24 Mar 2010 09:46:16 +0100

python-distutils-extra (2.17) unstable; urgency=low

  [ Didier Roche ]
  * python-mkdebian:
    - Use OptionParser for argv processing.
    - Add --changelog option to specify changelog message (can be used more
      than once for different tasks)
    - Add --dependency option to add a manual debian package dependency
      (can be used more than once for each package)

  [ Elliot Murphy ]
  * python-mkdebian:
    - Change from python-central to python-support for consistency with
      debian python packaging team preference.
    - Update to Standards-Version: 3.8.3
    - Fix a typo that caused additional_dependencies defaulting to None
      instead of [].
    - If debchange is not available, give a more friendly error message.
      (LP: #464137)

  [ Martin Pitt ]
  * auto.py: Document handling of icons.

 -- Martin Pitt <mpitt@debian.org>  Tue, 09 Mar 2010 16:28:04 +0100

python-distutils-extra (2.16) unstable; urgency=low

  * test/auto.py: Make Apport hook test description consistent to other tests.
  * build_help.py: Fix --help-dir option, thanks to Severin Heiniger for
    spotting this. (LP: #508438)
  * auto.py: Clean up temporary *.py symlinks also if there is an exception in
    between. (LP: #490985)

 -- Martin Pitt <mpitt@debian.org>  Fri, 29 Jan 2010 18:48:31 +0100

python-distutils-extra (2.15) unstable; urgency=low

  * auto.py: Add support for Apport package hooks in apport/*.py. Thanks
    Philip Peitsch! (LP: #500316)

 -- Martin Pitt <mpitt@debian.org>  Sun, 03 Jan 2010 22:26:19 +0100

python-distutils-extra (2.14) unstable; urgency=low

  * Bump Standards-Version to 3.8.3 (no changes necessary).
  * build_i18n.py: Fix crash when setup.py defines no data files. Thanks to
    Markus Korn! (LP: #493978)
  * auto.py: Preserve symlinks in bin/ and data/. distutils copies them as
    files by default, so we have to write the complete handling for those
    ourselves. (LP: #392562)

 -- Martin Pitt <mpitt@debian.org>  Tue, 22 Dec 2009 23:47:46 +0100

python-distutils-extra (2.13) unstable; urgency=low

  * python-mkdebian: Fix dependency detection for packages which only ship a
    Python module, not a package. Thanks Didier Roche! (LP: #482913)

 -- Martin Pitt <mpitt@debian.org>  Mon, 21 Dec 2009 19:12:25 +0100

python-distutils-extra (2.12) unstable; urgency=low

  * auto.py: Auto-install GtkBuilder files which have attributes in the
    <interface> tag.
  * auto.py: Extract translatable strings from GtkBuilder files which have
    attributes in the <interface> tag. (LP: #451170)
  * auto.py: Properly handle *.{desktop,notifyrc}.in files in data/.
    (LP: #451175)

 -- Martin Pitt <mpitt@debian.org>  Wed, 14 Oct 2009 13:53:43 +0200

python-distutils-extra (2.11) unstable; urgency=high

  * Urgency high: Fixes RC bug with a trivial patch, no other changes.
  * auto.py: Fix variable name in "syntax error" warning. (Closes: #549583)

 -- Martin Pitt <mpitt@debian.org>  Sun, 11 Oct 2009 20:08:40 +0200

python-distutils-extra (2.10) unstable; urgency=low

  * python-mkdebian: Handle complex cases where submodules of a Python module
    can be in different packages. (LP: #421689)

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 11 Sep 2009 12:37:05 +0200

python-distutils-extra (2.9) unstable; urgency=low

  * Add missing intltool build dependency. (Closes: #536914)
  * python-mkdebian: Improve error message when devscripts is not installed.
    Add a Suggests: devscripts.
  * auto.py: Automatically install GNOME help files. Thanks to Severin
    Heiniger!
  * build_help: Fix installation path of docbook files. Thanks to Severin
    Heiniger!
  * auto.py: Mark 'setup.cfg' as known. Thanks to Severin Heiniger!
  * auto.py, sdist_auto: Turn filter_prefix and filter_suffix into properites
    so that subclasses can extend them. Thanks to Severin Heiniger!
  * build_help: Make whitespace and quotes consistent.
  * auto.py: Add test case for automatic help installation.

 -- Martin Pitt <mpitt@debian.org>  Sat, 08 Aug 2009 12:10:16 +0200

python-distutils-extra (2.8) unstable; urgency=low

  [ Didier Roche ]
  * debian/local/python-mkdebian: Add a --force-control option to update all
    fields in debian/control, instead of just Depends:.

  [ Martin Pitt ]
  * auto.py: Do not ship DistUtilsExtra/. This makes it easier to bundle
    DistUtilsExtra with source packages without installing it. Thanks to
    Severin Heiniger!

 -- Martin Pitt <mpitt@debian.org>  Thu, 23 Jul 2009 13:06:05 +0200

python-distutils-extra (2.7) unstable; urgency=low

  * debian/local/python-mkdebian: Add python build dependency.
  * debian/local/python-mkdebian: Bump python-distutils-extra build
    dependency.
  * auto.py: Ignore .shelf/ (from bzr), add comprehensive test cases.
  * debian/local/python-mkdebian: Update dependencies of debian/control, if it
    already exists.

 -- Martin Pitt <mpitt@debian.org>  Mon, 20 Jul 2009 16:42:41 +0200

python-distutils-extra (2.6) unstable; urgency=low

  * auto.py: Add another test case for having python packages below data/, and
    ignore them in automatic package installation and automatic provides. (The
    previous fix just covered modules). (LP: #399324)
  * auto.py: Point out what happens with file types, and where they are
    installed.

 -- Martin Pitt <mpitt@debian.org>  Fri, 17 Jul 2009 16:14:05 +0200

python-distutils-extra (2.5) unstable; urgency=low

  * auto.py: Add test case for having python files below data/, and ignore
    them for calculating dependencies. (LP: #399324)

 -- Martin Pitt <mpitt@debian.org>  Fri, 17 Jul 2009 14:02:06 +0200

python-distutils-extra (2.4) unstable; urgency=low

  * Add missing python-{crypto,dateutil} build dependencies, for the test
    suite to succeed.
  * python-mkdebian: Add long description, thanks Loïc Minier!
  * auto.py: Ignore manually installed *.ui files (Thanks Severin Heiniger!)
    and manpages.
  * auto.py: Support polkit-1 (determined by checking source code for
    org.freedesktop.PolicyKit1).

 -- Martin Pitt <mpitt@debian.org>  Tue, 14 Jul 2009 10:33:03 +0200

python-distutils-extra (2.3) unstable; urgency=low

  * auto.py: Fix recognition of GtkBuilder *.ui files as glade-3 writes them.
  * auto.py: Add automatic calculation of "requires" unless explicitly given.
  * auto.py: Add automatic calculation of "provides" unless explicitly given.
  * Drop test/testBzrBuild.py, it's specific to Sebastian's computer.
  * setup.py: Drop nose.collector, we don't use it.
  * Add debian/local/python-mkdebian: Create/update debian packaging
    (debian/*) from python egg-info data. Not terribly pretty, but working and
    reasonably policy compliant.

 -- Martin Pitt <mpitt@debian.org>  Wed, 01 Jul 2009 16:39:54 +0200

python-distutils-extra (2.2) unstable; urgency=low

  * auto.py: Handle "NEWS" and "TODO" standard files.
  * auto.py: Actually install GtkBuilder *.ui files.
  * auto.py: Install manpages.
  * auto.py: Define __version__, so that setup.py scripts can do version
    checks.
  * auto.py: Automatically install Python modules in soure root directory.
  * auto.py: Automatically install files in ./etc/ to /etc/.
  * auto.py: Temporarily create fake *.py symlinks for Python executables
    without extensions, so that they get covered by intltool-update.

 -- Martin Pitt <mpitt@debian.org>  Sun, 28 Jun 2009 21:18:38 +0200

python-distutils-extra (2.1) unstable; urgency=low

  * debian/rules: Remove build/ on clean.
  * debian/control: Bump Standards-Version (no changes necessary).
  * debian/control: Mention auto module in package description.
  * Add MANIFEST.in, to provide a working "setup.py sdist".
  * doc/README, DistUtilsExtra.auto.py: Improve documentation.

 -- Martin Pitt <mpitt@debian.org>  Thu, 25 Jun 2009 12:49:41 +0200

python-distutils-extra (2.0) unstable; urgency=low

  [ Julian Andres Klode ]
  * DistUtilsExtra/command/build_i18n.py: Only rebuild files if the input
    has been modified after the output has been produced. (Closes: #523369)

  [ Martin Pitt ]
  * build_extra.py: Fix typo in help.
  * Add new command "build_kdeui" to call pykdeuic4 for compiling KDE 4 .ui
    files to .py modules. Add it to build_extra.
  * build_i18n.py: Fix error if default "po/" directory does not exist.
  * Add new module "DistUtilsExtra.auto". This provides a "convention over
    configuration" setup which infers almost all file related information for
    setup.py, setup.cfg, POTFILES.in, and MANIFEST.in, and recognizes Python
    modules, D-BUS configuration/service files, desktop files, and others
    automatically. See the Ubuntu specification for details:
    https://wiki.ubuntu.com/DesktopTeam/Specs/Karmic/AutomagicPythonBuildSystem
  * Add test/auto.py: Test suite foor DistUtilsExtra.auto. Run it on package
    build in debian/rules.

 -- Martin Pitt <mpitt@debian.org>  Thu, 25 Jun 2009 12:46:28 +0200

python-distutils-extra (1.92) unstable; urgency=low

  * Add DistUtilsExtra/command/check.py: New "check" command, running pylint
    for now, but will do more things in the future. Thanks to Rodney Dawes for
    this!
  * debinan/rules: Drop arch-build stuff. We have bzr-builddeb nowadays, and
    for a package like this it isn't required at all.

 -- Martin Pitt <mpitt@debian.org>  Wed, 25 Mar 2009 19:14:52 +0100

python-distutils-extra (1.91.2) unstable; urgency=low

  * DistUtilsExtra/command/build_i18n.py: Do not merge PO files by default,
    since it is not related to building the package, should be done manually
    rather, and creates noise in revision control. Introduce a new option
    -m/--merge-po instead. Adapt doc/FAQ accordingly.
  * debian/control: Update Vcs-*: fields.
  * debian/copyright: Fix copyright statement and upstream URL.
  * debian/changelog: Fix invalid email address to make lintian happy.

 -- Martin Pitt <mpitt@debian.org>  Tue, 18 Mar 2008 21:59:43 +0100

python-distutils-extra (1.91.1) unstable; urgency=low

  * doc/FAQ: Fix typo: build_l10n -> build_i18n. (LP #177175)
  * Add debian/python-distutils-extra.docs: Ship documentation.
  * Add DistUtilsExtra/command/clean_i18n.py: New command 'clean_i18n' which
    cleans up build/mo and then just does a normal clean. Also add this to
    entry_points in setup.py. (Closes: #435182; LP #177173)
  * Bump Standards-Version to 3.7.3 (no changes necessary).
  * debian/control: Add Vcs-Bzr field.
  * debian/control: Add myself to Uploaders, with Sebastian's consent.
  * DistUtilsExtra/command/clean_i18n.py: Remove translated desktop, xml, etc.
    files, too.
  * debian/rules: Remove python_distutils_extra.egg-info/ on clean.

 -- Martin Pitt <mpitt@debian.org>  Tue, 15 Jan 2008 12:13:30 +0100

python-distutils-extra (1.91) feisty; urgency=low

  * Switch to setuptools build system (thanks to Johannes Hölzl)
  * Integrate commands into setuptools
  * Update documentation and package description

 -- Sebastian Heinlein <glatzor@ubuntu.com>  Mon, 13 Aug 2007 13:55:02 +0200

python-distutils-extra (1.90) unstable; urgency=low

  * New major release
  * API break

 -- Sebastian Heinlein <glatzor@ubuntu.com>  Wed, 27 Jun 2007 15:36:26 +0200

python-distutils-extra (0.90) feisty; urgency=low

  * Add a FAQ
  * fix an error if a bug contact was specified
  * fix the wrong installation path of translation
  * fix multiple merge files

 -- Sebastian Heinlein <glatzor@ubuntu.com>  Thu, 22 Mar 2007 20:28:47 +0100

python-distutils-extra (0.90) feisty; urgency=low

  * Initial Release.

 -- Sebastian Heinlein <glatzor@ubuntu.com>  Tue, 28 Nov 2006 20:26:28 +0200
